<?php
/**
* Getting started options
*
* @package GridRead WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridread_getting_started($wp_customize) {

    $wp_customize->add_section( 'gridread_section_getting_started', array( 'title' => esc_html__( 'Getting Started', 'gridread' ), 'description' => esc_html__( 'Thanks for your interest in GridRead! If you have any questions or run into any trouble, please visit us the following links. We will get you fixed up!', 'gridread' ), 'panel' => 'gridread_main_options_panel', 'priority' => 5, ) );

    $wp_customize->add_setting( 'gridread_options[documentation]', array( 'default' => '', 'sanitize_callback' => '__return_false', ) );

    $wp_customize->add_control( new GridRead_Customize_Button_Control( $wp_customize, 'gridread_documentation_control', array( 'label' => esc_html__( 'Documentation', 'gridread' ), 'section' => 'gridread_section_getting_started', 'settings' => 'gridread_options[documentation]', 'type' => 'gridread-button', 'button_tag' => 'a', 'button_class' => 'button button-primary', 'button_href' => esc_url( 'https://themesdna.com/gridread-wordpress-theme/' ), 'button_target' => '_blank', ) ) );

    $wp_customize->add_setting( 'gridread_options[contact]', array( 'default' => '', 'sanitize_callback' => '__return_false', ) );

    $wp_customize->add_control( new GridRead_Customize_Button_Control( $wp_customize, 'gridread_contact_control', array( 'label' => esc_html__( 'Contact Us', 'gridread' ), 'section' => 'gridread_section_getting_started', 'settings' => 'gridread_options[contact]', 'type' => 'gridread-button', 'button_tag' => 'a', 'button_class' => 'button button-primary', 'button_href' => esc_url( 'https://themesdna.com/contact/' ), 'button_target' => '_blank', ) ) );

}