<?php
/**
* Page options
*
* @package GridRead WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridread_page_options($wp_customize) {

    $wp_customize->add_section( 'gridread_section_page', array( 'title' => esc_html__( 'Page Options', 'gridread' ), 'panel' => 'gridread_main_options_panel', 'priority' => 190 ) );

    $wp_customize->add_setting( 'gridread_options[hide_thumbnail_page]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_thumbnail_page_control', array( 'label' => esc_html__( 'Hide Featured Image from Single Page', 'gridread' ), 'section' => 'gridread_section_page', 'settings' => 'gridread_options[hide_thumbnail_page]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[remove_thumbnail_page_link]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_remove_thumbnail_page_link_control', array( 'label' => esc_html__( 'Remove Link from Single Page Featured Image', 'gridread' ), 'section' => 'gridread_section_page', 'settings' => 'gridread_options[remove_thumbnail_page_link]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[featured_media_under_page_title]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_featured_media_under_page_title_control', array( 'label' => esc_html__( 'Move Featured Image to Bottom of Page Title', 'gridread' ), 'section' => 'gridread_section_page', 'settings' => 'gridread_options[featured_media_under_page_title]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[hide_page_title]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_page_title_control', array( 'label' => esc_html__( 'Hide Page Header from Single Page', 'gridread' ), 'section' => 'gridread_section_page', 'settings' => 'gridread_options[hide_page_title]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[remove_page_title_link]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_remove_page_title_link_control', array( 'label' => esc_html__( 'Remove Link from Single Page Title', 'gridread' ), 'section' => 'gridread_section_page', 'settings' => 'gridread_options[remove_page_title_link]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[hide_page_date]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_page_date_control', array( 'label' => esc_html__( 'Hide Posted Date from Single Page', 'gridread' ), 'section' => 'gridread_section_page', 'settings' => 'gridread_options[hide_page_date]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[hide_page_author]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_page_author_control', array( 'label' => esc_html__( 'Hide Page Author from Single Page', 'gridread' ), 'section' => 'gridread_section_page', 'settings' => 'gridread_options[hide_page_author]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[hide_page_comments]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_page_comments_control', array( 'label' => esc_html__( 'Hide Comment Link from Single Page', 'gridread' ), 'section' => 'gridread_section_page', 'settings' => 'gridread_options[hide_page_comments]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[hide_page_edit]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_page_edit_control', array( 'label' => esc_html__( 'Hide Edit Link from Single Page', 'gridread' ), 'section' => 'gridread_section_page', 'settings' => 'gridread_options[hide_page_edit]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[hide_static_page_title]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_static_page_title_control', array( 'label' => esc_html__( 'Hide Page Header from Static Homepage', 'gridread' ), 'section' => 'gridread_section_page', 'settings' => 'gridread_options[hide_static_page_title]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[hide_static_page_meta]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_static_page_meta_control', array( 'label' => esc_html__( 'Hide Page Meta Data (Page Date, Page Author, Comment Link) from Static Homepage', 'gridread' ), 'section' => 'gridread_section_page', 'settings' => 'gridread_options[hide_static_page_meta]', 'type' => 'checkbox', ) );

}