<?php
/**
* Post options
*
* @package GridRead WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridread_post_options($wp_customize) {

    $wp_customize->add_section( 'gridread_section_post', array( 'title' => esc_html__( 'Post Options', 'gridread' ), 'panel' => 'gridread_main_options_panel', 'priority' => 180 ) );

    $wp_customize->add_setting( 'gridread_options[hide_thumbnail_post]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_thumbnail_post_control', array( 'label' => esc_html__( 'Hide Featured Image from Full Post', 'gridread' ), 'section' => 'gridread_section_post', 'settings' => 'gridread_options[hide_thumbnail_post]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[remove_thumbnail_post_link]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_remove_thumbnail_post_link_control', array( 'label' => esc_html__( 'Remove Link from Full Post Featured Image', 'gridread' ), 'section' => 'gridread_section_post', 'settings' => 'gridread_options[remove_thumbnail_post_link]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[featured_media_under_post_title]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_featured_media_under_post_title_control', array( 'label' => esc_html__( 'Move Featured Image to Bottom of Full Post Title', 'gridread' ), 'section' => 'gridread_section_post', 'settings' => 'gridread_options[featured_media_under_post_title]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[hide_post_title]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_post_title_control', array( 'label' => esc_html__( 'Hide Post Header from Full Post', 'gridread' ), 'section' => 'gridread_section_post', 'settings' => 'gridread_options[hide_post_title]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[remove_post_title_link]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_remove_post_title_link_control', array( 'label' => esc_html__( 'Remove Link from Full Post Title', 'gridread' ), 'section' => 'gridread_section_post', 'settings' => 'gridread_options[remove_post_title_link]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[hide_post_categories]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_post_categories_control', array( 'label' => esc_html__( 'Hide Post Categories from Full Post', 'gridread' ), 'section' => 'gridread_section_post', 'settings' => 'gridread_options[hide_post_categories]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[hide_post_author]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_post_author_control', array( 'label' => esc_html__( 'Hide Post Author from Full Post', 'gridread' ), 'section' => 'gridread_section_post', 'settings' => 'gridread_options[hide_post_author]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[hide_posted_date]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_posted_date_control', array( 'label' => esc_html__( 'Hide Posted Date from Full Post', 'gridread' ), 'section' => 'gridread_section_post', 'settings' => 'gridread_options[hide_posted_date]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[hide_comments_link]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_comments_link_control', array( 'label' => esc_html__( 'Hide Comment Link from Full Post', 'gridread' ), 'section' => 'gridread_section_post', 'settings' => 'gridread_options[hide_comments_link]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[hide_post_edit]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_post_edit_control', array( 'label' => esc_html__( 'Hide Post Edit Link', 'gridread' ), 'section' => 'gridread_section_post', 'settings' => 'gridread_options[hide_post_edit]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[hide_post_tags]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_post_tags_control', array( 'label' => esc_html__( 'Hide Post Tags from Full Post', 'gridread' ), 'section' => 'gridread_section_post', 'settings' => 'gridread_options[hide_post_tags]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[hide_author_bio_box]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_hide_author_bio_box_control', array( 'label' => esc_html__( 'Hide Author Bio Box', 'gridread' ), 'section' => 'gridread_section_post', 'settings' => 'gridread_options[hide_author_bio_box]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'gridread_options[no_underline_content_links]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'gridread_sanitize_checkbox', ) );

    $wp_customize->add_control( 'gridread_no_underline_content_links_control', array( 'label' => esc_html__( 'Do not Underline the Links within the Content', 'gridread' ), 'section' => 'gridread_section_post', 'settings' => 'gridread_options[no_underline_content_links]', 'type' => 'checkbox', ) );

}