<?php
/**
* Social buttons
*
* @package GridRead WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function gridread_footer_social_buttons() { ?>

<div class='gridread-footer-social-icons gridread-clearfix'>
<div class="gridread-boxview-wrapper">
    <?php if ( gridread_get_option('twitterlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('twitterlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-twitter" aria-label="<?php esc_attr_e('X Button','gridread'); ?>"><i class="fab fa-x-twitter" aria-hidden="true" title="<?php esc_attr_e('X','gridread'); ?>"></i><?php esc_html_e('X', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('facebooklink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('facebooklink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-facebook" aria-label="<?php esc_attr_e('Facebook Button','gridread'); ?>"><i class="fab fa-facebook-f" aria-hidden="true" title="<?php esc_attr_e('Facebook','gridread'); ?>"></i><?php esc_html_e('Facebook', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('threadslink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('threadslink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-threads" aria-label="<?php esc_attr_e('Threads Button','gridread'); ?>"><i class="fab fa-threads" aria-hidden="true" title="<?php esc_attr_e('Threads','gridread'); ?>"></i><?php esc_html_e('Threads', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('pinterestlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('pinterestlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-pinterest" aria-label="<?php esc_attr_e('Pinterest Button','gridread'); ?>"><i class="fab fa-pinterest" aria-hidden="true" title="<?php esc_attr_e('Pinterest','gridread'); ?>"></i><?php esc_html_e('Pinterest', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('linkedinlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('linkedinlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-linkedin" aria-label="<?php esc_attr_e('Linkedin Button','gridread'); ?>"><i class="fab fa-linkedin-in" aria-hidden="true" title="<?php esc_attr_e('Linkedin','gridread'); ?>"></i><?php esc_html_e('Linkedin', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('instagramlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('instagramlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-instagram" aria-label="<?php esc_attr_e('Instagram Button','gridread'); ?>"><i class="fab fa-instagram" aria-hidden="true" title="<?php esc_attr_e('Instagram','gridread'); ?>"></i><?php esc_html_e('Instagram', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('flickrlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('flickrlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-flickr" aria-label="<?php esc_attr_e('Flickr Button','gridread'); ?>"><i class="fab fa-flickr" aria-hidden="true" title="<?php esc_attr_e('Flickr','gridread'); ?>"></i><?php esc_html_e('Flickr', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('youtubelink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('youtubelink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-youtube" aria-label="<?php esc_attr_e('Youtube Button','gridread'); ?>"><i class="fab fa-youtube" aria-hidden="true" title="<?php esc_attr_e('Youtube','gridread'); ?>"></i><?php esc_html_e('Youtube', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('vimeolink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('vimeolink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-vimeo" aria-label="<?php esc_attr_e('Vimeo Button','gridread'); ?>"><i class="fab fa-vimeo-v" aria-hidden="true" title="<?php esc_attr_e('Vimeo','gridread'); ?>"></i><?php esc_html_e('Vimeo', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('soundcloudlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('soundcloudlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-soundcloud" aria-label="<?php esc_attr_e('SoundCloud Button','gridread'); ?>"><i class="fab fa-soundcloud" aria-hidden="true" title="<?php esc_attr_e('SoundCloud','gridread'); ?>"></i><?php esc_html_e('SoundCloud', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('messengerlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('messengerlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-messenger" aria-label="<?php esc_attr_e('Messenger Button','gridread'); ?>"><i class="fab fa-facebook-messenger" aria-hidden="true" title="<?php esc_attr_e('Messenger','gridread'); ?>"></i><?php esc_html_e('Messenger', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('whatsapplink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('whatsapplink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-whatsapp" aria-label="<?php esc_attr_e('WhatsApp Button','gridread'); ?>"><i class="fab fa-whatsapp" aria-hidden="true" title="<?php esc_attr_e('WhatsApp','gridread'); ?>"></i><?php esc_html_e('WhatsApp', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('tiktoklink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('tiktoklink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-tiktok" aria-label="<?php esc_attr_e('TikTok Button','gridread'); ?>"><i class="fab fa-tiktok" aria-hidden="true" title="<?php esc_attr_e('TikTok','gridread'); ?>"></i><?php esc_html_e('TikTok', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('lastfmlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('lastfmlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-lastfm" aria-label="<?php esc_attr_e('Lastfm Button','gridread'); ?>"><i class="fab fa-lastfm" aria-hidden="true" title="<?php esc_attr_e('Lastfm','gridread'); ?>"></i><?php esc_html_e('Lastfm', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('mediumlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('mediumlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-medium" aria-label="<?php esc_attr_e('Medium Button','gridread'); ?>"><i class="fab fa-medium-m" aria-hidden="true" title="<?php esc_attr_e('Medium','gridread'); ?>"></i><?php esc_html_e('Medium', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('githublink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('githublink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-github" aria-label="<?php esc_attr_e('Github Button','gridread'); ?>"><i class="fab fa-github" aria-hidden="true" title="<?php esc_attr_e('Github','gridread'); ?>"></i><?php esc_html_e('Github', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('bitbucketlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('bitbucketlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-bitbucket" aria-label="<?php esc_attr_e('Bitbucket Button','gridread'); ?>"><i class="fab fa-bitbucket" aria-hidden="true" title="<?php esc_attr_e('Bitbucket','gridread'); ?>"></i><?php esc_html_e('Bitbucket', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('tumblrlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('tumblrlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-tumblr" aria-label="<?php esc_attr_e('Tumblr Button','gridread'); ?>"><i class="fab fa-tumblr" aria-hidden="true" title="<?php esc_attr_e('Tumblr','gridread'); ?>"></i><?php esc_html_e('Tumblr', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('digglink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('digglink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-digg" aria-label="<?php esc_attr_e('Digg Button','gridread'); ?>"><i class="fab fa-digg" aria-hidden="true" title="<?php esc_attr_e('Digg','gridread'); ?>"></i><?php esc_html_e('Digg', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('deliciouslink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('deliciouslink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-delicious" aria-label="<?php esc_attr_e('Delicious Button','gridread'); ?>"><i class="fab fa-delicious" aria-hidden="true" title="<?php esc_attr_e('Delicious','gridread'); ?>"></i><?php esc_html_e('Delicious', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('stumblelink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('stumblelink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-stumbleupon" aria-label="<?php esc_attr_e('Stumbleupon Button','gridread'); ?>"><i class="fab fa-stumbleupon" aria-hidden="true" title="<?php esc_attr_e('Stumbleupon','gridread'); ?>"></i><?php esc_html_e('Stumbleupon', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('mixlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('mixlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-mix" aria-label="<?php esc_attr_e('Mix Button','gridread'); ?>"><i class="fab fa-mix" aria-hidden="true" title="<?php esc_attr_e('Mix','gridread'); ?>"></i><?php esc_html_e('Mix', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('redditlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('redditlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-reddit" aria-label="<?php esc_attr_e('Reddit Button','gridread'); ?>"><i class="fab fa-reddit" aria-hidden="true" title="<?php esc_attr_e('Reddit','gridread'); ?>"></i><?php esc_html_e('Reddit', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('dribbblelink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('dribbblelink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-dribbble" aria-label="<?php esc_attr_e('Dribbble Button','gridread'); ?>"><i class="fab fa-dribbble" aria-hidden="true" title="<?php esc_attr_e('Dribbble','gridread'); ?>"></i><?php esc_html_e('Dribbble', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('flipboardlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('flipboardlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-flipboard" aria-label="<?php esc_attr_e('Flipboard Button','gridread'); ?>"><i class="fab fa-flipboard" aria-hidden="true" title="<?php esc_attr_e('Flipboard','gridread'); ?>"></i><?php esc_html_e('Flipboard', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('bloggerlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('bloggerlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-blogger" aria-label="<?php esc_attr_e('Blogger Button','gridread'); ?>"><i class="fab fa-blogger" aria-hidden="true" title="<?php esc_attr_e('Blogger','gridread'); ?>"></i><?php esc_html_e('Blogger', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('etsylink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('etsylink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-etsy" aria-label="<?php esc_attr_e('Etsy Button','gridread'); ?>"><i class="fab fa-etsy" aria-hidden="true" title="<?php esc_attr_e('Etsy','gridread'); ?>"></i><?php esc_html_e('Etsy', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('behancelink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('behancelink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-behance" aria-label="<?php esc_attr_e('Behance Button','gridread'); ?>"><i class="fab fa-behance" aria-hidden="true" title="<?php esc_attr_e('Behance','gridread'); ?>"></i><?php esc_html_e('Behance', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('amazonlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('amazonlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-amazon" aria-label="<?php esc_attr_e('Amazon Button','gridread'); ?>"><i class="fab fa-amazon" aria-hidden="true" title="<?php esc_attr_e('Amazon','gridread'); ?>"></i><?php esc_html_e('Amazon', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('meetuplink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('meetuplink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-meetup" aria-label="<?php esc_attr_e('Meetup Button','gridread'); ?>"><i class="fab fa-meetup" aria-hidden="true" title="<?php esc_attr_e('Meetup','gridread'); ?>"></i><?php esc_html_e('Meetup', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('mixcloudlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('mixcloudlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-mixcloud" aria-label="<?php esc_attr_e('Mixcloud Button','gridread'); ?>"><i class="fab fa-mixcloud" aria-hidden="true" title="<?php esc_attr_e('Mixcloud','gridread'); ?>"></i></a><?php endif; ?>
    <?php if ( gridread_get_option('slacklink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('slacklink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-slack" aria-label="<?php esc_attr_e('Slack Button','gridread'); ?>"><i class="fab fa-slack" aria-hidden="true" title="<?php esc_attr_e('Slack','gridread'); ?>"></i><?php esc_html_e('Slack', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('snapchatlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('snapchatlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-snapchat" aria-label="<?php esc_attr_e('Snapchat Button','gridread'); ?>"><i class="fab fa-snapchat" aria-hidden="true" title="<?php esc_attr_e('Snapchat','gridread'); ?>"></i><?php esc_html_e('Snapchat', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('spotifylink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('spotifylink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-spotify" aria-label="<?php esc_attr_e('Spotify Button','gridread'); ?>"><i class="fab fa-spotify" aria-hidden="true" title="<?php esc_attr_e('Spotify','gridread'); ?>"></i><?php esc_html_e('Spotify', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('yelplink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('yelplink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-yelp" aria-label="<?php esc_attr_e('Yelp Button','gridread'); ?>"><i class="fab fa-yelp" aria-hidden="true" title="<?php esc_attr_e('Yelp','gridread'); ?>"></i><?php esc_html_e('Yelp', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('wordpresslink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('wordpresslink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-wordpress" aria-label="<?php esc_attr_e('WordPress Button','gridread'); ?>"><i class="fab fa-wordpress" aria-hidden="true" title="<?php esc_attr_e('WordPress','gridread'); ?>"></i><?php esc_html_e('WordPress', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('twitchlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('twitchlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-twitch" aria-label="<?php esc_attr_e('Twitch Button','gridread'); ?>"><i class="fab fa-twitch" aria-hidden="true" title="<?php esc_attr_e('Twitch','gridread'); ?>"></i><?php esc_html_e('Twitch', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('telegramlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('telegramlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-telegram" aria-label="<?php esc_attr_e('Telegram Button','gridread'); ?>"><i class="fab fa-telegram" aria-hidden="true" title="<?php esc_attr_e('Telegram','gridread'); ?>"></i><?php esc_html_e('Telegram', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('bandcamplink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('bandcamplink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-bandcamp" aria-label="<?php esc_attr_e('Bandcamp Button','gridread'); ?>"><i class="fab fa-bandcamp" aria-hidden="true" title="<?php esc_attr_e('Bandcamp','gridread'); ?>"></i><?php esc_html_e('Bandcamp', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('quoralink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('quoralink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-quora" aria-label="<?php esc_attr_e('Quora Button','gridread'); ?>"><i class="fab fa-quora" aria-hidden="true" title="<?php esc_attr_e('Quora','gridread'); ?>"></i><?php esc_html_e('Quora', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('foursquarelink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('foursquarelink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-foursquare" aria-label="<?php esc_attr_e('Foursquare Button','gridread'); ?>"><i class="fab fa-foursquare" aria-hidden="true" title="<?php esc_attr_e('Foursquare','gridread'); ?>"></i><?php esc_html_e('Foursquare', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('deviantartlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('deviantartlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-deviantart" aria-label="<?php esc_attr_e('DeviantArt Button','gridread'); ?>"><i class="fab fa-deviantart" aria-hidden="true" title="<?php esc_attr_e('DeviantArt','gridread'); ?>"></i><?php esc_html_e('DeviantArt', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('imdblink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('imdblink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-imdb" aria-label="<?php esc_attr_e('IMDB Button','gridread'); ?>"><i class="fab fa-imdb" aria-hidden="true" title="<?php esc_attr_e('IMDB','gridread'); ?>"></i><?php esc_html_e('IMDB', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('vklink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('vklink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-vk" aria-label="<?php esc_attr_e('VK Button','gridread'); ?>"><i class="fab fa-vk" aria-hidden="true" title="<?php esc_attr_e('VK','gridread'); ?>"></i><?php esc_html_e('VK', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('codepenlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('codepenlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-codepen" aria-label="<?php esc_attr_e('Codepen Button','gridread'); ?>"><i class="fab fa-codepen" aria-hidden="true" title="<?php esc_attr_e('Codepen','gridread'); ?>"></i><?php esc_html_e('Codepen', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('jsfiddlelink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('jsfiddlelink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-jsfiddle" aria-label="<?php esc_attr_e('JSFiddle Button','gridread'); ?>"><i class="fab fa-jsfiddle" aria-hidden="true" title="<?php esc_attr_e('JSFiddle','gridread'); ?>"></i><?php esc_html_e('JSFiddle', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('stackoverflowlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('stackoverflowlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-stackoverflow" aria-label="<?php esc_attr_e('Stack Overflow Button','gridread'); ?>"><i class="fab fa-stack-overflow" aria-hidden="true" title="<?php esc_attr_e('Stack Overflow','gridread'); ?>"></i><?php esc_html_e('Stack Overflow', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('stackexchangelink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('stackexchangelink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-stackexchange" aria-label="<?php esc_attr_e('Stack Exchange Button','gridread'); ?>"><i class="fab fa-stack-exchange" aria-hidden="true" title="<?php esc_attr_e('Stack Exchange','gridread'); ?>"></i><?php esc_html_e('Stack Exchange', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('bsalink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('bsalink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-buysellads" aria-label="<?php esc_attr_e('BuySellAds Button','gridread'); ?>"><i class="fab fa-buysellads" aria-hidden="true" title="<?php esc_attr_e('BuySellAds','gridread'); ?>"></i><?php esc_html_e('BuySellAds', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('web500pxlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('web500pxlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-web500px" aria-label="<?php esc_attr_e('500px Button','gridread'); ?>"><i class="fab fa-500px" aria-hidden="true" title="<?php esc_attr_e('500px','gridread'); ?>"></i><?php esc_html_e('500px', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('ellolink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('ellolink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-ello" aria-label="<?php esc_attr_e('Ello Button','gridread'); ?>"><i class="fab fa-ello" aria-hidden="true" title="<?php esc_attr_e('Ello','gridread'); ?>"></i><?php esc_html_e('Ello', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('discordlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('discordlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-discord" aria-label="<?php esc_attr_e('Discord Button','gridread'); ?>"><i class="fab fa-discord" aria-hidden="true" title="<?php esc_attr_e('Discord','gridread'); ?>"></i><?php esc_html_e('Discord', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('goodreadslink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('goodreadslink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-goodreads" aria-label="<?php esc_attr_e('Goodreads Button','gridread'); ?>"><i class="fab fa-goodreads" aria-hidden="true" title="<?php esc_attr_e('Goodreads','gridread'); ?>"></i><?php esc_html_e('Goodreads', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('odnoklassnikilink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('odnoklassnikilink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-odnoklassniki" aria-label="<?php esc_attr_e('Odnoklassniki Button','gridread'); ?>"><i class="fab fa-odnoklassniki" aria-hidden="true" title="<?php esc_attr_e('Odnoklassniki','gridread'); ?>"></i><?php esc_html_e('Odnoklassniki', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('houzzlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('houzzlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-houzz" aria-label="<?php esc_attr_e('Houzz Button','gridread'); ?>"><i class="fab fa-houzz" aria-hidden="true" title="<?php esc_attr_e('Houzz','gridread'); ?>"></i><?php esc_html_e('Houzz', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('pocketlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('pocketlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-pocket" aria-label="<?php esc_attr_e('Pocket Button','gridread'); ?>"><i class="fab fa-get-pocket" aria-hidden="true" title="<?php esc_attr_e('Pocket','gridread'); ?>"></i><?php esc_html_e('Pocket', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('xinglink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('xinglink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-xing" aria-label="<?php esc_attr_e('XING Button','gridread'); ?>"><i class="fab fa-xing" aria-hidden="true" title="<?php esc_attr_e('XING','gridread'); ?>"></i><?php esc_html_e('XING', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('mastodonlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('mastodonlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-mastodon" aria-label="<?php esc_attr_e('Mastodon Button','gridread'); ?>"><i class="fab fa-mastodon" aria-hidden="true" title="<?php esc_attr_e('Mastodon','gridread'); ?>"></i><?php esc_html_e('Mastodon', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('blueskylink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('blueskylink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-bluesky" aria-label="<?php esc_attr_e('Bluesky Button','gridread'); ?>"><i class="fab fa-bluesky" aria-hidden="true" title="<?php esc_attr_e('Bluesky','gridread'); ?>"></i></a><?php endif; ?>
    <?php if ( gridread_get_option('googleplaylink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('googleplaylink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-googleplay" aria-label="<?php esc_attr_e('Google Play Button','gridread'); ?>"><i class="fab fa-google-play" aria-hidden="true" title="<?php esc_attr_e('Google Play','gridread'); ?>"></i><?php esc_html_e('Google Play', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('slidesharelink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('slidesharelink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-slideshare" aria-label="<?php esc_attr_e('SlideShare Button','gridread'); ?>"><i class="fab fa-slideshare" aria-hidden="true" title="<?php esc_attr_e('SlideShare','gridread'); ?>"></i><?php esc_html_e('SlideShare', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('dropboxlink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('dropboxlink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-dropbox" aria-label="<?php esc_attr_e('Dropbox Button','gridread'); ?>"><i class="fab fa-dropbox" aria-hidden="true" title="<?php esc_attr_e('Dropbox','gridread'); ?>"></i><?php esc_html_e('Dropbox', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('paypallink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('paypallink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-paypal" aria-label="<?php esc_attr_e('PayPal Button','gridread'); ?>"><i class="fab fa-paypal" aria-hidden="true" title="<?php esc_attr_e('PayPal','gridread'); ?>"></i><?php esc_html_e('PayPal', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('viadeolink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('viadeolink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-viadeo" aria-label="<?php esc_attr_e('Viadeo Button','gridread'); ?>"><i class="fab fa-viadeo" aria-hidden="true" title="<?php esc_attr_e('Viadeo','gridread'); ?>"></i><?php esc_html_e('Viadeo', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('wikipedialink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('wikipedialink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-wikipedia" aria-label="<?php esc_attr_e('Wikipedia Button','gridread'); ?>"><i class="fab fa-wikipedia-w" aria-hidden="true" title="<?php esc_attr_e('Wikipedia','gridread'); ?>"></i><?php esc_html_e('Wikipedia', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('skypeusername') ) : ?>
            <a href="skype:<?php echo esc_html( gridread_get_option('skypeusername') ); ?>?chat" class="gridread-footer-social-icon-skype" aria-label="<?php esc_attr_e('Skype Button','gridread'); ?>"><i class="fab fa-skype" aria-hidden="true" title="<?php esc_attr_e('Skype','gridread'); ?>"></i><?php esc_html_e('Skype', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('emailaddress') ) : ?>
            <a href="mailto:<?php echo esc_html( gridread_get_option('emailaddress') ); ?>" class="gridread-footer-social-icon-email" aria-label="<?php esc_attr_e('Email Us Button','gridread'); ?>"><i class="far fa-envelope" aria-hidden="true" title="<?php esc_attr_e('Email Us','gridread'); ?>"></i><?php esc_html_e('Email Us', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('rsslink') ) : ?>
            <a href="<?php echo esc_url( gridread_get_option('rsslink') ); ?>" target="_blank" rel="nofollow" class="gridread-footer-social-icon-rss" aria-label="<?php esc_attr_e('RSS Button','gridread'); ?>"><i class="fas fa-rss" aria-hidden="true" title="<?php esc_attr_e('RSS','gridread'); ?>"></i><?php esc_html_e('RSS', 'gridread'); ?></a><?php endif; ?>
    <?php if ( gridread_get_option('show_login_button') ) { ?><?php if (is_user_logged_in()) : ?><a href="<?php echo esc_url( wp_logout_url( get_permalink() ) ); ?>" class="gridread-footer-social-icon-login" aria-label="<?php esc_attr_e( 'Logout Button', 'gridread' ); ?>"><i class="fas fa-sign-out-alt" aria-hidden="true" title="<?php esc_attr_e( 'Logout Button', 'gridread' ); ?>"></i><?php esc_html_e('Logout', 'gridread'); ?></a><?php else : ?><a href="<?php echo esc_url( wp_login_url( get_permalink() ) ); ?>" class="gridread-footer-social-icon-login" aria-label="<?php esc_attr_e( 'Login / Register', 'gridread' ); ?>"><i class="fas fa-sign-in-alt" aria-hidden="true" title="<?php esc_attr_e( 'Login / Register Button', 'gridread' ); ?>"></i><?php esc_html_e('Login / Register', 'gridread'); ?></a><?php endif;?><?php } ?>
    <?php if ( !(gridread_get_option('hide_search_button')) ) { ?><a href="<?php echo esc_url( '#' ); ?>" class="gridread-footer-social-icon-search" aria-label="<?php esc_attr_e('Search Button','gridread'); ?>"><i class="fas fa-search" aria-hidden="true" title="<?php esc_attr_e('Search','gridread'); ?>"></i><?php esc_html_e('Search', 'gridread'); ?></a><?php } ?>
</div>
</div>

<?php }