<?php
/**
* The main template file.
*
* This is the most generic template file in a WordPress theme
* and one of the two required files for a theme (the other being style.css).
* It is used to display a page when nothing more specific matches a query.
* E.g., it puts together the home page when no home.php file exists.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package GridRead WordPress Theme
* @copyright Copyright (C) 2024 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div class="gridread-main-wrapper gridread-clearfix" id="gridread-main-wrapper" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">
<div class="theiaStickySidebar">
<div class="gridread-main-wrapper-inside gridread-clearfix">

<?php gridread_before_main_content(); ?>

<div class="gridread-posts-wrapper" id="gridread-posts-wrapper">

<?php if ( !(gridread_get_option('hide_posts_heading')) ) { ?>
<?php if(is_home() && !is_paged()) { ?>
<?php if ( gridread_get_option('posts_heading') ) : ?>
<div class="gridread-posts-header"><div class="gridread-posts-header-inside"><h2 class="gridread-posts-heading"><span class="gridread-posts-heading-inside"><?php echo esc_html( gridread_get_option('posts_heading') ); ?></span></h2></div></div>
<?php else : ?>
<div class="gridread-posts-header"><div class="gridread-posts-header-inside"><h2 class="gridread-posts-heading"><span class="gridread-posts-heading-inside"><?php esc_html_e( 'Recent Posts', 'gridread' ); ?></span></h2></div></div>
<?php endif; ?>
<?php } ?>
<?php } ?>

<div class="gridread-posts-content">
<?php if (have_posts()) : ?>

    <?php if ( 'grid' === gridread_post_summaries_style() ) { ?>

    <div class="gridread-posts gridread-posts-grid gridread-clearfix">
    <?php $gridread_post_counter=1; while (have_posts()) : the_post(); ?>

        <?php get_template_part( 'template-parts/content-grid' ); ?>

    <?php $gridread_post_counter++; endwhile; ?>
    </div>

    <?php } else { ?>

    <?php while (have_posts()) : the_post(); ?>
        <?php get_template_part( 'template-parts/content-nongrid' ); ?>
    <?php endwhile; ?>

    <?php } ?>

    <div class="clear"></div>

    <?php gridread_posts_navigation(); ?>

<?php else : ?>

  <?php get_template_part( 'template-parts/content', 'none' ); ?>

<?php endif; ?>
</div>

</div><!--/#gridread-posts-wrapper -->

<?php gridread_after_main_content(); ?>

</div>
</div>
</div><!-- /#gridread-main-wrapper -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>